[[,oce-method {oce} | R Documentation

## Extract Something From an oce Object

### Description

The named item is sought first in `metadata`, where an exact match to the name is required. If it is not present in the `metadata` slot, then a partial-name match is sought in the `data` slot. Failing both tests, an exact-name match is sought in a field named `dataNamesOriginal` in the object's `metadata` slot, if that field exists. Failing that, `NULL` is returned.

To get information on the specialized variants of this function, type e.g. `?"[[,adv-method"` for information on extracting data from an object of `adv-class`.

### Usage

    ## S4 method for signature 'oce'
    x[[i, j, ...]]

### Arguments

`x` | An oce object
`i` | The item to extract.
`j` | Optional additional information on the `i` item.
`...` | Optional additional information (ignored).

### Examples

    data(ctd)
    ctd[["longitude"]] # in metadata
    head(ctd[["salinity"]]) # in data
    data(section)
    summary(section[["station", 1]])

[Package oce version 0.9-22 Index]